/*******************************************************************************
* File Name: ZCD.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ZCD_ALIASES_H) /* Pins ZCD_ALIASES_H */
#define CY_PINS_ZCD_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define ZCD_0			(ZCD__0__PC)
#define ZCD_0_PS		(ZCD__0__PS)
#define ZCD_0_PC		(ZCD__0__PC)
#define ZCD_0_DR		(ZCD__0__DR)
#define ZCD_0_SHIFT	(ZCD__0__SHIFT)
#define ZCD_0_INTR	((uint16)((uint16)0x0003u << (ZCD__0__SHIFT*2u)))

#define ZCD_INTR_ALL	 ((uint16)(ZCD_0_INTR))


#endif /* End Pins ZCD_ALIASES_H */


/* [] END OF FILE */
